【活用ガイド】

JVNDB-2015-002535

cURL および libcurl のデフォルト設定における重要な情報を取得される脆弱性

概要

cURL および libcurl のデフォルト設定は、プロキシおよび宛先サーバの両方にカスタム HTTP ヘッダを送信するため、重要な情報を取得される脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし

影響を受けるシステム


cURL
  • curl 7.42.1 未満
  • libcurl 7.42.1 未満
Ubuntu
  • Ubuntu (vivid)
  • Ubuntu 12.04 LTS
  • Ubuntu 14.04 LTS
  • Ubuntu 14.10
アップル
  • Apple Mac OS X 10.10 から 10.10.4
オラクル
  • MySQL Enterprise Monitor 2.3.20 およびそれ以前
  • MySQL Enterprise Monitor 3.0.22 およびそれ以前
  • Oracle Enterprise Manager Grid Control の Enterprise Manager Ops Center 12.1.4 未満
  • Oracle Enterprise Manager Grid Control の Enterprise Manager Ops Center 12.2.0
  • Oracle Enterprise Manager Grid Control の Enterprise Manager Ops Center 12.2.1
  • Oracle Enterprise Manager Grid Control の Enterprise Manager Ops Center 12.3.0

想定される影響

リモートのプロキシサーバにより、ヘッダコンテンツを読まれることで、重要な情報を取得される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

cURL Ubuntu アップル オラクル
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 情報漏えい(CWE-200) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-3153
参考情報

  1. National Vulnerability Database (NVD) : CVE-2015-3153
更新履歴

[2015年05月07日]
  掲載
[2015年08月31日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:アップル (APPLE-SA-2015-08-13-2 OS X Yosemite v10.10.5 and Security Update 2015-006) を追加
  ベンダ情報:アップル (HT205031) を追加
[2015年11月06日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:オラクル (Oracle Critical Patch Update Advisory - October 2015) を追加
  ベンダ情報:オラクル (Text Form of Oracle Critical Patch Update - October 2015 Risk Matrices) を追加
  ベンダ情報:オラクル (October 2015 Critical Patch Update Released) を追加
[2016年01月28日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:オラクル (Oracle Critical Patch Update Advisory - January 2016) を追加
  ベンダ情報:オラクル (Text Form of Oracle Critical Patch Update - January 2016 Risk Matrices) を追加
  ベンダ情報:オラクル (January 2016 Critical Patch Update Released) を追加